<?php
$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_934da0e4d27867b726" . "05f2f2a82ddad0" => base64_decode("KGludDppZDEsIHN" . "0cjprZXksIGludD" . "ppZDIsIDAp"), "_1044ad6ec3f2b15d20a3b7353cfb4d0" . "2" => base64_decode("U0VMRUNUIENPVU5UKCopIEZST00gcmJfb2" . "JqIFdIRVJFIHBpZD1pbnQ6aWQ="), "_2acee84482629451244aab96a01623" . "cd" => base64_decode("cm9vbQ" . "=="), "_e98bb4477" . "9e2719d990" . "b12523648e" . "307" => base64_decode("U0VMRUNUIGlkIEZST00gcmJfZXZlbnRzIFdIRVJFIHBpZCA9IC0xIEFORCByb29tX2lkID0gaW5" . "0Omlk"), "_8695e37b2f8" . "e63ab89c4690" . "8290193ec" => base64_decode("c2VsZWN0IHJiX2xpbmtzLm9ial9pZCBmcm9tIHJiX2xpbmtzLCByYl9vYmogd2hlcmUgcmJfbGlua3MudmFsPWludDppZCBhbmQgcmJfb2JqLnR5cGU9J2ZhYycgYW5kIHJiX29iai5pc19zdXNwZW5kZWQ9MCBhbmQgcmJfbGlua3Mub2JqX2lkPXJ" . "iX29iai5pZCBhbmQgcmJfbGlua3MuYm9va2luZz1pbnQ6Ym9va2luZw=="), "_5b81cb6cf0bfd9" . "90583fc12ddd80c" . "d32" => base64_decode("ZmF" . "j"), "_f318226b856b8a65f182630" . "0a281617b" => base64_decode("REVMRVRFIEZST00gcmJfbGlua3MgV0hFUkUgdmFsPWludDppZCBBTkQ" . "gdHlwZT0ncm9vbScgQU5EIGJvb2tpbmc9aW50OmJvb2tpbmc="), "_b3a356a0e25" . "82249702c68b" . "e9887158b" => base64_decode("KGludDppZD" . "EsICdyb29t" . "JywgaW50Om" . "lkMiwgMCk="));
class RBRoom extends RBMainClass
{
    public function __construct($_876ca2097b275e704d71e00d36b3e7c5, $name = 'EmptyName')
    {
        parent::__construct($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_2acee84482629451244aab9" . "6a01623cd"], $_876ca2097b275e704d71e00d36b3e7c5, $name);
    }
    public function Load($id)
    {
        parent::Load($id);
        $this->_loadFacilities();
    }
    protected function _loadFacilities()
    {
        global $db;
        $query = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_8695e37b" . "2f8e63ab8" . "9c4690829" . "0193ec"];
        $_189840d11056515e52402d1412a0b6e4 = $db->query($query, $this->id, $this->booking);
        while (list($id) = $_189840d11056515e52402d1412a0b6e4->fetchRow()) {
            $this->AddObj($id, $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_5b81cb6cf0bfd990583fc12" . "ddd80cd32"]);
        }
    }
    protected function _createObjInsertString($key, $id)
    {
        if ($key == $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_5b81cb6cf0bfd990583fc12ddd8" . "0cd32"]) {
            return new QueryPart($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_b3a356a0e258224970" . "2c68be9887158b"], $id, $this->id);
        }
        return new QueryPart($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_934da0e4d27867b72605f2f2a82dda" . "d0"], $this->id, $key, $id);
    }
    protected function _updateObjList()
    {
        global $db;
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_f318226b856b8a65f18" . "26300a281617b"], $this->id, $this->booking);
        parent::_updateObjList();
    }
    function Delete($_ef6f2587bed6ce140025395807730533 = false)
    {
        global $db;
        $_343a395319323dd7609bcbc465b4d034 = $db->query($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_e98bb44779e2719d9" . "90b12523648e307"], $this->id)->fetchAllValues();
        foreach ((array) $_343a395319323dd7609bcbc465b4d034 as $id) {
            $this->_facade->DeleteEvent($id);
        }
        parent::Delete();
    }
    public function isEmpty()
    {
        global $db;
        list($_f53d35a1a1e233d98d9ce73d92ab3bb1) = $db->query_row($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_1044ad6ec3" . "f2b15d20a3b" . "7353cfb4d02"], $this->id);
        return $_f53d35a1a1e233d98d9ce73d92ab3bb1 < 1;
    }
}